Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Eclipse Scout » Scout 22 with Java 19?
Scout 22 with Java 19? [message #1857187] Mon, 23 January 2023 14:39 Go to next message
Miloslav Frajdl is currently offline Miloslav FrajdlFriend
Messages: 47
Registered: June 2018
Member
Is it possible to run an application programmed in Scout 22 on Java 19?
If so, is it necessary to change <jdk.source.version>17</jdk.source.version> to 19 in pom.xml?

Thank you for answer.
Re: Scout 22 with Java 19? [message #1857192 is a reply to message #1857187] Mon, 23 January 2023 16:28 Go to previous message
Matthias Villiger is currently offline Matthias VilligerFriend
Messages: 232
Registered: September 2011
Senior Member
Hi Miloslav

Officially Scout 22 only supports Java 11 and 17. Basically Scout always only supports LTS versions of Java.

But you can give Java 19 a try and see if it works for you. We recommend to perform a full application test after a JDK update. If you find any issues, please let us know here in the forum.

After updating the jdk.source.version you have to update your IDE (e.g. Alt+F5 in Eclipse) so that the changes in the pom take effect and you might need to update your launch configurations as well.

Kind regards
Mat
Previous Topic:Menu Separator not shown
Next Topic:ServerAccessControlService is called twice in production code
Goto Forum:
  


Current Time: Sun Apr 14 20:39:07 GMT 2024

Powered by FUDForum. Page generated in 0.02777 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top